#include <iostream>
#include <algorithm>
int C[300000];
int A[300000];
using namespace std;

int main()
{
    int n,m,s=0,z;
    cin >> n >> m;
    for(int i=0;i<m;i++)
    {
        cin >> C[i];
    }
    sort(C,C+m);
    z=1;
    for(int i=1;i<=m;i++)
    {
        if(C[i]==C[i-1])
        {
            z++;
        }
        else
        {
            if(z>=n)
            {
                A[s]=C[i-1];
                s++;
            }
            z=1;
        }
    }
    cout << s << "\n";
    for(int i=0;i<s;i++)
    {
        cout << A[i] << " ";
    }
    return 0;
}
